System.Web [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.HtmlTextWriter

The class is an alternative to the class. It converts HTML 4.0 style attributes into the equivalent HTML 3.2 tags and attributes. It standardizes the propagation of attributes, such as colors and fonts, using HTML tables. ASP.NET automatically uses this class for HTML 3.2 and earlier browsers by checking the property of the class. Unless you create a custom page or control adapter that targets devices that use HTML 3.2 markup, you do not need to create an instance of the class explicitly.

For more information about customizing page and control rendering, see Walkthrough: Developing and Using a Custom Server Control.

Writes a series of HTML 3.2–specific characters and text to the output stream for an ASP.NET server control. The class provides formatting capabilities that ASP.NET server controls use when rendering HTML 3.2 content to clients.

- Constructor

  The constructor passes the field value to a second version that has the following two parameters:

  , which takes an instance of the class.

  , which takes a string that defines line indentation.

  Initializes a new instance of the class that uses the line indentation that is specified in the field when the requesting browser requires line indentation.

  The that renders the HMTL content.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that uses the specified line indentation.

  The that renders the HMTL 3.2 content.
  A string that represents the number of spaces defined by the .
  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.Stack To be added: an object of type 'Collections.Stack' To be added

  Gets a collection of font information for the HTML to render.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  If the field is passed in and the property is true, the method returns the table element.

  Returns the HTML element that is associated with the specified enumeration value.

  The HTML element.

  The enumeration value to obtain the HTML element for. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The method supports a smaller number of HTML style attributes than the method that it overrides.

  Determines whether to write the specified HTML style attribute and its value to the output stream.

  true if the HTML style attribute and its value will be rendered to the output stream; otherwise, false.

  The HTML style attribute to write to the output stream. The value associated with the HTML style attribute. The enumeration value associated with the HTML style attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  If the property is true, the method replaces any div elements that are rendered by a control with table elements.

  Determines whether to write the specified HTML element to the output stream.

  true if the HTML element is written to the output stream; otherwise, false.

  The HTML element to write to the output stream. The enumeration value associated with the HTML element. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Writes any text or spacing that appears after the content of the HTML element.

  The spacing or text to write after the content of the HTML element; otherwise, if there is no such information to render, null.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Writes any spacing or text that occurs after an HTML element's closing tag.

  The spacing or text to write after the closing tag of the HTML element; otherwise, if there is no such information to render, null.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Writes any tab spacing or font information that appears before the content that is contained in an HTML element.

  The font information or spacing to write before rendering the content of the HTML element; otherwise, if there is no such information to render, null.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Writes any text or tab spacing that occurs before the opening tag of an HTML element to the HTML 3.2 output stream.

  The HTML font and spacing information to render before the tag; otherwise, if there is no such information to render, null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  If a div element is specified and the property value is true, the method performs basic table element formatting to present the content that is contained in the div element.

  Writes the opening tag of the specified element to the HTML 3.2 output stream.

  The enumeration value that indicates which HTML element to write. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Writes the end tag of an HTML element to the output stream, along with any font information that is associated with the element.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value indicating whether to replace a Table element with a Div element to reduce the time that it takes to render a block of HTML.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value indicating whether the requesting device supports bold HTML text. Use the property to conditionally render bold text to the output stream.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value indicating whether the requesting device supports italic HTML text. Use the property to conditionally render italicized text to the output stream.